config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

# Keep same perms on rc.iceccd.new:
if [ -e etc/rc.d/rc.iceccd ]; then
  cp -a etc/rc.d/rc.iceccd etc/rc.d/rc.iceccd.new.incoming
  cat etc/rc.d/rc.iceccd.new > etc/rc.d/rc.iceccd.new.incoming
  mv etc/rc.d/rc.iceccd.new.incoming etc/rc.d/rc.iceccd.new
fi

# Keep same perms on rc.icecc-scheduler.new:
if [ -e etc/rc.d/rc.icecc-scheduler ]; then
  cp -a etc/rc.d/rc.icecc-scheduler etc/rc.d/rc.icecc-scheduler.new.incoming
  cat etc/rc.d/rc.icecc-scheduler.new > etc/rc.d/rc.icecc-scheduler.new.incoming
  mv etc/rc.d/rc.icecc-scheduler.new.incoming etc/rc.d/rc.icecc-scheduler.new
fi

config etc/rc.d/rc.iceccd.new
config etc/rc.d/rc.icecream.conf.new
config etc/rc.d/rc.icecc-scheduler.new

( cd usr/libexec/icecc ; rm -rf icecc-create-env )
( cd usr/libexec/icecc ; ln -sf /usr/bin/icecc-create-env icecc-create-env )
( cd usr/libexec/icecc/bin ; rm -rf cc )
( cd usr/libexec/icecc/bin ; ln -sf /usr/bin/icecc cc )
( cd usr/libexec/icecc/bin ; rm -rf g++ )
( cd usr/libexec/icecc/bin ; ln -sf /usr/bin/icecc g++ )
( cd usr/libexec/icecc/bin ; rm -rf gcc )
( cd usr/libexec/icecc/bin ; ln -sf /usr/bin/icecc gcc )
( cd usr/libexec/icecc/bin ; rm -rf clang )
( cd usr/libexec/icecc/bin ; ln -sf /usr/bin/icecc clang )
( cd usr/libexec/icecc/bin ; rm -rf arm-slackware-linux-gcc )
( cd usr/libexec/icecc/bin ; ln -sf /usr/bin/icecc arm-slackware-linux-gcc )
( cd usr/libexec/icecc/bin ; rm -rf arm-slackware-linux-c++ )
( cd usr/libexec/icecc/bin ; ln -sf /usr/bin/icecc arm-slackware-linux-c++ )
( cd usr/libexec/icecc/bin ; rm -rf arm-slackware-linux-clang )
( cd usr/libexec/icecc/bin ; ln -sf /usr/bin/icecc arm-slackware-linux-clang )
( cd usr/libexec/icecc/bin ; rm -rf clang++ )
( cd usr/libexec/icecc/bin ; ln -sf /usr/bin/icecc clang++ )
( cd usr/libexec/icecc/bin ; rm -rf c++ )
( cd usr/libexec/icecc/bin ; ln -sf /usr/bin/icecc c++ )
( cd usr/libexec/icecc/bin ; rm -rf arm-slackware-linux-g++ )
( cd usr/libexec/icecc/bin ; ln -sf /usr/bin/icecc arm-slackware-linux-g++ )
( cd usr/libexec/icecc/bin ; rm -rf arm-slackware-linux-clang++ )
( cd usr/libexec/icecc/bin ; ln -sf /usr/bin/icecc arm-slackware-linux-clang++ )
( cd usr/bin ; rm -rf icerun )
( cd usr/bin ; ln -sf /usr/bin/icecc icerun )
( cd usr/lib ; rm -rf libicecc.so.0 )
( cd usr/lib ; ln -sf libicecc.so.0.0.0 libicecc.so.0 )
( cd usr/lib ; rm -rf libicecc.so )
( cd usr/lib ; ln -sf libicecc.so.0.0.0 libicecc.so )
